<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.dev.js"></script>
    <title>Document</title>
</head>
<body>
    <div class="container">
        <div class="jumbotron">
            <h2>Write Some New Scans</h2>
        </div>
        <div class="row">
            <div class="col-12">
                <ul id="scans" class="list-group"></ul>
            </div>
            <div class="col-12">
                <form id="scanForm">
                    <div class="form-group">
                        <label>Enter a Scan Name</label>
                        <input type="text" class="form-control" id="scanName" />
                        <br />
                        <input type="submit" class="btn btn-primary" value="Add New">
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script>
        $(function(){
            const socket = io.connect();
            const $scanInput = $('#scanName');
            const $scanForm = $('#scanForm');
            const $scans = $('#scans');

            $scanForm.submit(function(e){
                e.preventDefault();
                socket.emit('sendMessage', $scanInput.val());
                $scanInput.val('');
            });

            socket.on('newMessage', function(data){
                $scans.append("<li class='list-group-item'>" + data.title + "</li>");
            });

        })

    </script>
</body>
</html>